<h1 align="center">WebSite Monitor</h1>

<p align="center"><img width="120" height="120" src="fastlane/metadata/android/en-US/images/icon.png" alt="logo"/></p>

<p align="center">
Website monitor app helps to monitor/track your Website periodically and notify if any problem in your site.
</p>

<p align="center">
<a href="https://gitlab.com/manimaran/website-monitor/blob/master/LICENSE" alt="GitHub license"><img src="https://img.shields.io/badge/License-GPL%20v3-blue.svg" ></a>
<a href="https://manimaran96.wordpress.com" alt="Developer badge"><img src="https://img.shields.io/badge/developed%20by-Manimaran-blue.svg" ></a>
</p>

<p align="center">
<a href="https://f-droid.org/packages/com.manimarank.websitemonitor/"><img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" width="200px"></a><a href="https://play.google.com/store/apps/details?id=com.manimarank.websitemonitor"><img src="https://raw.githubusercontent.com/manimaran96/Spell4Wiki/master/files/assets/images/badges/google_play.png" width="200px"></a>
</p>

**Release/Demo App** - [Click here](https://gitlab.com/manimaran/website-monitor/-/releases)


## App Features
- Simple UI.
- Dark mode UI.
- No login required.
- Get notified when site down.
- Check website status according to chosen interval.
- Pause/Resume Monitoring for a particular site.
- Custom monitor option. Useful for continually checking website status every 1 second or 5 minutes. The Second/Minute interval can be manually assigned.
- Tap a website entry to quickly refresh that particular one.
- Ability to notify only on Server issue. If enabled, does not notify, if the app has no internet connection.
- Drag to reorder the website entries.


## Useful links
 * [Blog about Website Monitor](https://manimaran96.wordpress.com/category/android-apps/website-monitor/)


## Screen Shot

<center><img src="https://gitlab.com/manimaran/website-monitor/raw/master/files/web_site_monitor_ui.gif" data-canonical-src="https://gitlab.com/manimaran/website-monitor/raw/master/files/web_site_monitor_ui.gif" width="260" height="480" /></center>
<br>


## More Screenshots 

| Main & Menu Options | Settings | Monitor Intervals | Custom Monitor Setup |
|:-:|:-:|:-:|:-:|
| ![First](fastlane/metadata/android/en-US/images/phoneScreenshots/1.png?raw=true) | ![Sec](fastlane/metadata/android/en-US/images/phoneScreenshots/2.png?raw=true) | ![Third](fastlane/metadata/android/en-US/images/phoneScreenshots/3.png?raw=true) | ![Fourth](fastlane/metadata/android/en-US/images/phoneScreenshots/4.png?raw=true) |

| Custom Monitor Info | Update | Dark mode | Notification |
|:-:|:-:|:-:|:-:|
| ![Fifth](fastlane/metadata/android/en-US/images/phoneScreenshots/5.png?raw=true) | ![Sixth](fastlane/metadata/android/en-US/images/phoneScreenshots/6.png?raw=true) | ![Seventh](fastlane/metadata/android/en-US/images/phoneScreenshots/7.png?raw=true) | ![Eighth](fastlane/metadata/android/en-US/images/phoneScreenshots/8.png?raw=true) |

## TODO
* ~~Add Dark Mode.~~
* Export Website Entries to JSON as Backup.
* Enable Import of Backups.
* ~~Merge Notifications into single one, if more than one Website is down.~~

## License

<img src="https://raw.githubusercontent.com/manimaran96/Spell4Wiki/master/files/assets/images/badges/gplv3.svg" width="100px"></img>

Website monitor is Free Software: You can use, study share and improve it at your will. 
Specifically you can redistribute and/or modify it under the terms of the [GNU General Public License](https://www.gnu.org/licenses/gpl.html) as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
